Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003399Doomseeker[All Projects] Bugpublic2018-03-04 12:202018-10-27 22:53
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003399: Buddies: Deleting an invalid basic pattern type will remove the next pattern in list index
DescriptionIn Buddies list, because of issue 0003398 []Wub is still accepted as a basic pattern type while it is actually invalid and silently discarded on next restart.

However before restarting Doomseeker, trying to delete this invalid pattern type from Buddies will also remove the next pattern type in the list.
Steps To Reproduce
  1. Launch Doomseeker.
  2. Open "Buddies" if it's not open already: View → Buddies (Ctrl+B)
  3. Click "Manage" in the Buddies window.
  4. Remove any existing pattern types, if applicable.
  5. Press "Add" and add a new basic pattern type: []Wub
  6. Press "Add" and add a new advanced pattern type: \[\]Wub
  7. Right click basic pattern type []Wub and delete it. \[\]Wub should still be in the list.
  8. Restart Doomseeker.
  9. Notice how deleting the invalid pattern type []Wub also deleted the next pattern \[\]Wub in the list.
Additional InformationClosely related to 0003398, a side-effect of that bug. Ditto in 1.2~beta-1.
Attached Files

- Relationships
child of 0003398closedZalewa Buddies: Square brackets in "Add Buddy" are accepted by basic pattern type but not matching and the pattern is removed on launch 

-  Notes
User avatar (0019135)
WubTheCaptain (developer)
2018-03-04 12:34
edited on: 2018-03-04 12:38

I guess there's so many more bugs one can do with arrays where the internal state doesn't match the state in the GUI, but I won't go more into detail of those. At worst, the possible outcome could be a crash via out of bounds array but I can't think quickly of a way to do that.

User avatar (0020103)
Zalewa (developer)
2018-10-13 16:49
edited on: 2018-10-13 16:59

The commit proposed for 0003398 should remove the possibility of adding an invalid pattern and possibly render this a non-issue.

User avatar (0020107)
WubTheCaptain (developer)
2018-10-13 17:55

Hopefully so.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-03-04 12:20 WubTheCaptain New Issue
2018-03-04 12:21 WubTheCaptain Additional Information Updated View Revisions
2018-03-04 12:21 WubTheCaptain Relationship added parent of 0003398
2018-03-04 12:25 WubTheCaptain Summary Buddies: Deleting an invalid basic pattern type will remove the next pattern type in list index => Buddies: Deleting an invalid basic pattern type will remove the next pattern in list index
2018-03-04 12:34 WubTheCaptain Note Added: 0019135
2018-03-04 12:38 WubTheCaptain Note Edited: 0019135 View Revisions
2018-10-05 06:36 WubTheCaptain Priority normal => low
2018-10-13 14:46 Zalewa Assigned To => Zalewa
2018-10-13 14:46 Zalewa Status new => assigned
2018-10-13 16:49 Zalewa Note Added: 0020103
2018-10-13 16:49 Zalewa Status assigned => needs testing
2018-10-13 16:59 WubTheCaptain Note Edited: 0020103 View Revisions
2018-10-13 17:00 WubTheCaptain Target Version => 1.2
2018-10-13 17:48 WubTheCaptain Relationship replaced child of 0003398
2018-10-13 17:55 WubTheCaptain Note Added: 0020107
2018-10-13 17:55 WubTheCaptain Status needs testing => resolved
2018-10-13 17:55 WubTheCaptain Fixed in Version => 1.2
2018-10-13 17:55 WubTheCaptain Resolution open => fixed
2018-10-27 22:53 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker